#ifdef VHDL
/*
 * $Id: Divider_vhdl.cpp 112 2009-03-18 22:36:26Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Divider/include/Divider.h"
#include "Behavioural/include/Vhdl.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace divider {


#undef  FUNCTION
#define FUNCTION "Divider::vhdl"
  void Divider::vhdl (void)
  {
    log_begin(Divider,FUNCTION);

    Vhdl * vhdl = new Vhdl (_name);

    _interfaces->set_port(vhdl);
    _component->vhdl_instance(vhdl);

    vhdl_declaration (vhdl);
    vhdl_body        (vhdl);

    vhdl->generate_file();

    delete vhdl;

    log_end(Divider,FUNCTION);
  };

}; // end namespace divider
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
